using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Yeti.WMFSdk;

namespace Avi2Wmv
{
	/// <summary>
	/// Summary description for ProfilesDialog.
	/// </summary>
	public class ProfilesDialog : System.Windows.Forms.Form
	{
    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.ComboBox comboBoxProfiles;
    private System.Windows.Forms.Label labelDescription;
    private System.Windows.Forms.Button button1;
    private System.Windows.Forms.Button button2;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public ProfilesDialog()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
      this.label1 = new System.Windows.Forms.Label();
      this.comboBoxProfiles = new System.Windows.Forms.ComboBox();
      this.labelDescription = new System.Windows.Forms.Label();
      this.button1 = new System.Windows.Forms.Button();
      this.button2 = new System.Windows.Forms.Button();
      this.SuspendLayout();
      // 
      // label1
      // 
      this.label1.Location = new System.Drawing.Point(8, 8);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(100, 16);
      this.label1.TabIndex = 0;
      this.label1.Text = "System Profiles:";
      // 
      // comboBoxProfiles
      // 
      this.comboBoxProfiles.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
      this.comboBoxProfiles.Location = new System.Drawing.Point(8, 24);
      this.comboBoxProfiles.Name = "comboBoxProfiles";
      this.comboBoxProfiles.Size = new System.Drawing.Size(424, 21);
      this.comboBoxProfiles.TabIndex = 1;
      this.comboBoxProfiles.SelectionChangeCommitted += new System.EventHandler(this.comboBoxProfiles_SelectionChangeCommitted);
      // 
      // labelDescription
      // 
      this.labelDescription.Location = new System.Drawing.Point(8, 56);
      this.labelDescription.Name = "labelDescription";
      this.labelDescription.Size = new System.Drawing.Size(424, 72);
      this.labelDescription.TabIndex = 2;
      // 
      // button1
      // 
      this.button1.DialogResult = System.Windows.Forms.DialogResult.OK;
      this.button1.Enabled = false;
      this.button1.Location = new System.Drawing.Point(264, 136);
      this.button1.Name = "button1";
      this.button1.TabIndex = 3;
      this.button1.Text = "Ok";
      // 
      // button2
      // 
      this.button2.DialogResult = System.Windows.Forms.DialogResult.Cancel;
      this.button2.Location = new System.Drawing.Point(360, 136);
      this.button2.Name = "button2";
      this.button2.TabIndex = 4;
      this.button2.Text = "Cancel";
      // 
      // ProfilesDialog
      // 
      this.AcceptButton = this.button1;
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.CancelButton = this.button2;
      this.ClientSize = new System.Drawing.Size(442, 167);
      this.Controls.Add(this.button2);
      this.Controls.Add(this.button1);
      this.Controls.Add(this.labelDescription);
      this.Controls.Add(this.comboBoxProfiles);
      this.Controls.Add(this.label1);
      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
      this.MaximizeBox = false;
      this.MinimizeBox = false;
      this.Name = "ProfilesDialog";
      this.ShowInTaskbar = false;
      this.Text = "System Profiles";
      this.Load += new System.EventHandler(this.ProfilesDialog_Load);
      this.ResumeLayout(false);

    }
		#endregion

    public WMProfile SelectedProfile
    {
      get
      {
        return (WMProfile)comboBoxProfiles.SelectedItem;
      }
    }
    private void comboBoxProfiles_SelectionChangeCommitted(object sender, System.EventArgs e)
    {
      labelDescription.Text = ((WMProfile)comboBoxProfiles.SelectedItem).Description;
      button1.Enabled = true;
    }

    private void ProfilesDialog_Load(object sender, System.EventArgs e)
    {
      uint ProfCount;
      WM.ProfileManager.GetSystemProfileCount(out ProfCount);
      WMProfile[] SystemProfiles = new WMProfile[ProfCount];
      for(uint i = 0; i < ProfCount; i++)
      {
        SystemProfiles[i] = new WMProfile(i);
      }
      comboBoxProfiles.Items.AddRange(SystemProfiles); 
    }
	}
}
